function saveOptimaMat(~,~)
%saveOptimaMat  Sauvegarde des temps optima dans un fichier *.mat
%% ================================================================

data=guidata(1);
if ~isfield(data, 'optima') || length(data.optima)==0
    errordlg('No optima has been calculated: it is not possible to save anything');
 return
end

opt_times=data.optima;
methode=get(data.methode_tag, 'value');
lesnommethode=get(data.methode_tag, 'string');
nommethode=strrep(lesnommethode(methode,:),' ','');
uisave('opt_times', [getenv('PROJECTDIR')  '/STRATEGY_SIMULATION/opttimes.'  nommethode  '.' ...
         strrep(data.modelepop,' ', '') '.'...
           date '.mat']);


end % fin saveOptimaMat
